Bug 220493

Summary: [Cocoa] Support key rotation with HLS-backed encrypted media streams
Product: WebKit Reporter: Jer Noble <jer.noble>
Component: New BugsAssignee: Jer Noble <jer.noble>
Status: RESOLVED FIXED    
Severity: Normal CC: annulen, eric.carlson, ews-watchlist, glenn, gyuyoung.kim, mkwst, peng.liu6, philipj, ryuan.choi, sergio, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
ews-feeder: commit-queue-
Patch
none
Patch
eric.carlson: review+
Patch for landing none

Description Jer Noble 2021-01-08 18:28:29 PST
[Cocoa] Support key rotation with HLS-backed encrypted media streams
Comment 1 Jer Noble 2021-01-08 18:28:55 PST
<rdar://68227709>
Comment 2 Jer Noble 2021-01-08 18:35:36 PST Comment hidden (obsolete)
Comment 3 Jer Noble 2021-01-08 20:40:28 PST Comment hidden (obsolete)
Comment 4 Jer Noble 2021-01-08 20:42:05 PST Comment hidden (obsolete)
Comment 5 Jer Noble 2021-01-08 23:21:05 PST Comment hidden (obsolete)
Comment 6 Jer Noble 2021-01-08 23:25:15 PST Comment hidden (obsolete)
Comment 7 Jer Noble 2021-01-08 23:25:44 PST
Created attachment 417338 [details]
Patch
Comment 8 Eric Carlson 2021-01-11 11:48:58 PST
Comment on attachment 417338 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=417338&action=review

Can we test this?

> Source/WebCore/platform/graphics/avfoundation/objc/CDMInstanceFairPlayStreamingAVFObjC.mm:274
> +        auto requestInitData  = initializationDataForRequest(request.get());

Nit: extra space before "="
Comment 9 Jer Noble 2021-01-11 12:49:39 PST
Created attachment 417403 [details]
Patch for landing
Comment 10 EWS 2021-01-12 09:20:13 PST
Committed r271405: <https://trac.webkit.org/changeset/271405>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 417403 [details].